## gridsite 1.7.13

=== src/Makefile ===
#
#   Andrew McNab and Shiv Kaushal, University of Manchester.
#   Copyright (c) 2002-7. All rights reserved.
#
#   Redistribution and use in source and binary forms, with or
#   without modification, are permitted provided that the following
#   conditions are met:
#
#     o Redistributions of source code must retain the above
#       copyright notice, this list of conditions and the following
#       disclaimer. 
#     o Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials
#       provided with the distribution. 
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
#   CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
#   INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
#   DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
#   BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
#   TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
#   ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
#   OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
#   POSSIBILITY OF SUCH DAMAGE.
#
#---------------------------------------------------------------
# For more information about GridSite: http://www.gridsite.org/ 
#---------------------------------------------------------------

include ../VERSION

RPMCMD=$(shell if [ -x /usr/bin/rpmbuild ] ; then echo /usr/bin/rpmbuild; else echo rpm; fi)

ifndef MYRPMDIR
export MYRPMDIR=$(shell pwd)/../RPMTMP
endif

ifndef prefix
export prefix=/usr/local
endif

ifndef libdir
export libdir=lib
endif

CURL_CFLAGS=`curl-config --cflags`
CURL_LIBS=`curl-config --libs`
XML2_CFLAGS=`xml2-config --cflags`
XML2_LIBS=`xml2-config --libs`
HTTPD_FLAGS=-I/usr/include/httpd -I/usr/include/apache2 -I/usr/include/apr-0 -I/usr/include/apr-1 -I/usr/include/apr-1.0
GSOAP_CFLAGS=`pkg-config gsoap --cflags`
GSOAP_LIBS=`pkg-config gsoap --libs`
GSOAPSSL_CFLAGS=`pkg-config gsoapssl --cflags`
GSOAPSSL_LIBS=`pkg-config gsoapssl --libs`

ifndef MYCFLAGS
export MYCFLAGS=-I. -I../interface -fPIC -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE $(HTTPD_FLAGS) 
endif

ifndef MYLDFLAGS
export MYLDFLAGS=-L.
endif


#
# Build
#

build: apidoc build-lib \
       htcp gridsite-copy.cgi gridsite-storage.cgi mod_gridsite.so \
       urlencode findproxyfile gsexec real-gridsite-admin.cgi

build-lib: libgridsite_globus.so.$(VERSION) libgridsite_globus.a \
           libgridsite.so.$(VERSION) libgridsite.a \
           libgridsite_nossl.so.$(VERSION) libgridsite_nossl.a

# First, normal versions using system OpenSSL rather than Globus OpenSSL

libgridsite.so.$(VERSION): grst_err.o grst_x509.o grst_gacl.o grst_xacml.o \
                           grst_http.o grst_asn1.o grst_htcp.o
	gcc -shared -Wl,-soname,libgridsite.so.$(MINOR_VERSION) \
         -o libgridsite.so.$(PATCH_VERSION) -lcrypto `xml2-config --libs` \
         grst_err.o grst_x509.o grst_gacl.o grst_xacml.o grst_http.o \
         grst_asn1.o grst_htcp.o 
	ln -sf libgridsite.so.$(VERSION) libgridsite.so
	ln -sf libgridsite.so.$(VERSION) libgridsite.so.$(MINOR_VERSION)

libgridsite.a: grst_err.o grst_x509.o grst_gacl.o grst_xacml.o grst_http.o grst_asn1.o grst_htcp.o
	ar src libgridsite.a grst_err.o grst_x509.o grst_gacl.o grst_xacml.o grst_http.o grst_asn1.o grst_htcp.o

grst_err.o: grst_err.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
	    -I/usr/kerberos/include \
	    -c grst_err.c

grst_x509.o: grst_x509.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
            -I/usr/kerberos/include -c grst_x509.c

grst_gacl.o: grst_gacl.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c grst_gacl.c

grst_xacml.o: grst_xacml.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c grst_xacml.c

grst_http.o: grst_http.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
                        -I/usr/kerberos/include -c grst_http.c

grst_asn1.o: grst_asn1.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
            -I/usr/kerberos/include -c grst_asn1.c

grst_htcp.o: grst_htcp.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
            -I/usr/kerberos/include -c grst_htcp.c

# Then build versions using Globus OpenSSL if configured

ifdef OPENSSL_GLOBUS_LIBS

libgridsite_globus.so.$(VERSION): grst_err_globus.o \
               grst_x509_globus.o grst_gacl_globus.o grst_http_globus.o \
               grst_asn1_globus.o grst_xacml_globus.o grst_htcp_globus.o 
	gcc -shared -Wl,-soname,libgridsite_globus.so.$(MINOR_VERSION) \
         -o libgridsite_globus.so.$(PATCH_VERSION) $(XML2_LIBS) \
         grst_err_globus.o grst_x509_globus.o grst_gacl_globus.o grst_xacml_globus.o \
         grst_http_globus.o grst_asn1_globus.o
	ln -sf libgridsite_globus.so.$(VERSION) libgridsite_globus.so

libgridsite_globus.a: grst_err_globus.o grst_x509_globus.o grst_gacl_globus.o grst_http_globus.o grst_asn1_globus.o
	ar src libgridsite_globus.a \
               grst_err_globus.o grst_x509_globus.o grst_gacl_globus.o grst_http_globus.o grst_asn1_globus.o

grst_err_globus.o: grst_err.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
	    -I/usr/kerberos/include \
	    -c grst_err.c \
	    -o grst_err_globus.o

grst_x509_globus.o: grst_x509.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include -c grst_x509.c \
            -o grst_x509_globus.o

grst_gacl_globus.o: grst_gacl.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c grst_gacl.c \
            -o grst_gacl_globus.o

grst_xacml_globus.o: grst_xacml.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c grst_xacml.c \
            -o grst_xacml_globus.o

grst_http_globus.o: grst_http.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include -c grst_http.c \
            -o grst_http_globus.o

grst_asn1_globus.o: grst_asn1.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include -c grst_asn1.c \
            -o grst_asn1_globus.o

grst_htcp_globus.o: grst_htcp.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include -c grst_htcp.c \
            -o grst_htcp_globus.o

else

libgridsite_globus.so.$(VERSION): libgridsite.so.$(VERSION)
	cp -f libgridsite.so.$(VERSION) libgridsite_globus.so.$(VERSION)

libgridsite_globus.a: libgridsite.a
	cp -f libgridsite.a libgridsite_globus.a

endif

# then build versions without OpenSSL

libgridsite_nossl.so.$(VERSION): grst_err_nossl.o \
               grst_gacl_nossl.o grst_http_nossl.o \
               grst_xacml_nossl.o grst_htcp_nossl.o 
	gcc -shared -Wl,-soname,libgridsite_nossl.so.$(MINOR_VERSION) \
         -o libgridsite_nossl.so.$(PATCH_VERSION) $(XML2_LIBS) \
         grst_err_nossl.o grst_gacl_nossl.o grst_xacml_nossl.o \
         grst_http_nossl.o grst_htcp_nossl.o
	ln -sf libgridsite_nossl.so.$(VERSION) libgridsite_nossl.so

libgridsite_nossl.a: grst_err_nossl.o grst_gacl_nossl.o grst_http_nossl.o
	ar src libgridsite_nossl.a \
               grst_err_nossl.o grst_gacl_nossl.o grst_http_nossl.o grst_htcp_nossl.o

grst_err_nossl.o: grst_err.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) -DGRST_NO_OPENSSL \
	    -I/usr/kerberos/include \
	    -c grst_err.c \
	    -o grst_err_nossl.o

grst_gacl_nossl.o: grst_gacl.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c grst_gacl.c \
            -o grst_gacl_nossl.o

grst_xacml_nossl.o: grst_xacml.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c grst_xacml.c \
            -o grst_xacml_nossl.o

grst_http_nossl.o: grst_http.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include -c grst_http.c \
            -o grst_http_nossl.o

grst_htcp_nossl.o: grst_htcp.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include -c grst_htcp.c \
            -o grst_htcp_nossl.o

# now the binary exectuables

gsexec:	gsexec.c gsexec.h
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o gsexec gsexec.c

urlencode: urlencode.c libgridsite.so.$(VERSION)
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
            -o urlencode urlencode.c -L. \
            -I/usr/kerberos/include \
            -lgridsite

htcp: htcp.c libgridsite.so.$(VERSION)
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o htcp htcp.c -L. \
	    -I/usr/kerberos/include \
            $(CURL_CFLAGS) $(CURL_LIBS) \
            -lgridsite

htcp-static: htcp.c libgridsite.a
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o htcp-static htcp.c -L. \
	    -I/usr/kerberos/include \
            $(CURL_CFLAGS) $(CURL_LIBS) \
            -lgridsite -static

gridsite-copy.cgi: gridsite-copy.c libgridsite.so.$(VERSION)
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o gridsite-copy.cgi gridsite-copy.c -L. \
	    -I/usr/kerberos/include \
            $(CURL_CFLAGS) $(CURL_LIBS) \
            $(MYFCGILIBS) -lgridsite

mod_gridsite.so: mod_gridsite.c mod_ssl-private.h libgridsite.so.$(VERSION)
	gcc -g $(MYCFLAGS) -shared -Wl,-soname=gridsite_module \
           -I/usr/kerberos/include \
           $(XML2_CFLAGS) \
           -DVERSION=\"$(VERSION)\" -o mod_gridsite.so \
           mod_gridsite.c $(MYLDFLAGS) $(XML2_LIBS) -lm -lz -lgridsite

mod_gridsite_example.so: mod_gridsite_example.c 
	gcc -g -shared -Wl,-soname=gridsite_example_module \
	   -I/usr/include/httpd -I/usr/include/apr-0 \
           -DVERSION=\"$(VERSION)\" -o mod_gridsite_example.so \
           mod_gridsite_example.c 

real-gridsite-admin.cgi: grst_admin_main.c grst_admin_gacl.c \
                         grst_admin_file.c grst_admin.h
	gcc -g $(MYCFLAGS) $(MYLDFLAGS) -o real-gridsite-admin.cgi \
            grst_admin_main.c \
            grst_admin_gacl.c \
            grst_admin_file.c \
            -I/usr/kerberos/include \
            -DVERSION=\"$(VERSION)\" -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm

findproxyfile: findproxyfile.c libgridsite.so.$(VERSION)
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) $(MYLDFLAGS) \
            -o findproxyfile findproxyfile.c -L. \
            -I/usr/kerberos/include -lgridsite \
            -lssl -lcrypto $(XML2_LIBS) -lz -lm

showx509exts: showx509exts.c libgridsite.so.$(VERSION)
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) $(MYLDFLAGS) \
            -o showx509exts showx509exts.c -L. \
            -I/usr/kerberos/include \
            -lgridsite \
            -lssl -lcrypto $(XML2_LIBS) -lz -lm
 
slashgrid: slashgrid.c libgridsite.so.$(VERSION)
	gcc -g -o slashgrid -lfuse -lpthread slashgrid.c \
          $(MYCFLAGS) $(MYLDFLAGS) $(XML2_CFLAGS) \
          -D_FILE_OFFSET_BITS=64 -D_REENTRANT -DFUSE_USE_VERSION=22 \
          -I/usr/kerberos/include $(CURL_CFLAGS) \
          -L. $(CURL_LIBS) -lgridsite -lpthread

# This target is used by make-gridsite-spec to test for FUSE include+libs
fuse-test: fuse-test.c
	gcc -g -lfuse fuse-test.c \
          $(MYCFLAGS) $(MYLDFLAGS) $(XML2_CFLAGS) \
          -D_FILE_OFFSET_BITS=64 -D_REENTRANT -DFUSE_USE_VERSION=22

apidoc:
	date
	doxygen Doxyfile
	mkdir -p ../doc/doxygen
	cp -f doxygen/*.html doxygen/*.css doxygen/*.png ../doc/doxygen
	cd ../doc ; for i in *.1 *.8 ; do ../src/roffit < $$i \
          > $$i.html ; done
