=== debian/changelog ===
gridsite (1.7.13-5) unstable; urgency=low

  * Fix linkorder for -Wl,--as-needed (backport from ubuntu)
  * Fix pointer to integer conversion (backport from ubuntu)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 20 Jun 2011 23:12:08 +0200

gridsite (1.7.13-4) unstable; urgency=low

  * Fix typo in debian/rules (Closes: #630871)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 20 Jun 2011 11:20:23 +0200

gridsite (1.7.13-3) unstable; urgency=low

  * jquery.js not used with latest doxygen

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 May 2011 16:30:31 +0200

gridsite (1.7.13-2) unstable; urgency=low

  * Use wildcards in lintian overrides (Closes: #597626)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 23 May 2011 04:26:21 +0200

gridsite (1.7.13-1) UNRELEASED; urgency=low

  * Latest upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 02 May 2011 20:18:15 +0200

gridsite (1.7.9-1) UNRELEASED; urgency=low

  * Update to gridsite 1.7 series

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 13 Feb 2011 10:43:08 +0100

gridsite (1.5.19-1) UNRELEASED; urgency=low

  * Initial release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 17 Sep 2010 11:21:39 +0200
