=== debian/changelog ===
gridsite (1.7.15-2) unstable; urgency=low

  * Fix missing dependency in Makefile

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 31 Aug 2011 13:52:00 +0200

gridsite (1.7.15-1) unstable; urgency=low

  * Latest upstream release
  * Drop patch gridsite-include-1.7.9.patch (accepted upstream)
  * Drop patch gridsite-linkorder.patch (accepted upstream)
  * Drop patch gridsite-ptr-wo-cast.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 30 Aug 2011 21:16:41 +0200
