=== debian/control ===
Source: gridsite
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 6.0.7~), quilt, apache2-threaded-dev, libxml2-dev, libcurl4-openssl-dev, libssl-dev, doxygen, sharutils
Standards-Version: 3.9.2
Homepage: http://www.gridsite.org/
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gridsite
DM-Upload-Allowed: yes

Package: gridsite
Architecture: any
Depends: libgridsite1.7 (= ${binary:Version}), apache2, ${shlibs:Depends}, ${misc:Depends}
Description: Grid Security for the Web, Web platforms for Grids
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite, contains apache httpd modules for enabling 
 mod_gridsite.

Package: libgridsite1.7
Architecture: any
Section: libs
Replaces: libgridsite1.5
Conflicts: libgridsite1.5
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Run time libraries for mod_gridsite and gridsite-clients
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package contains the runtime libraries.

Package: gridsite-clients
Architecture: any
Depends: libgridsite1.7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Clients to gridsite: htcp, htrm, htmv
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-clients, contains clients for using against
 gridsite, htcp, htrm, ...

Package: gridsite-gsexec
Architecture: any
Depends: libgridsite1.7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Setuid gsexec tools for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-setuid, contains the setuid gsexec program.

Package: libgridsite-dev
Architecture: any
Section: libdevel
Depends: libgridsite1.7 (= ${binary:Version}), ${misc:Depends}
Description: Developers tools for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, libgridsite-dev, contains developer tools for using
 gridsite.

Package: gridsite-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Developers Documentation for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-doc, contains developer documentation for
 gridsite.
