=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,13 @@
 
 	touch $@
 
-build: build-stamp
+build: build-indep build-arch
+	:
+
+build-indep: build-stamp
+	:
+
+build-arch: build-stamp
 	:
 
 build-stamp: configure-stamp
@@ -165,4 +171,4 @@
 binary: binary-indep binary-arch
 	:
 
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure
