## gridsite 1.7.16

=== src/Makefile ===
--- 
+++ 
@@ -66,6 +66,7 @@
 export MYLDFLAGS=-L.
 endif
 
+-include Makefile.inc
 
 #
 # Build
@@ -196,7 +197,7 @@
          grst_http_nossl.o grst_htcp_nossl.o $(XML2_LIBS)
 	ln -sf libgridsite_nossl.so.$(VERSION) libgridsite_nossl.so
 
-libgridsite_nossl.a: grst_err_nossl.o grst_gacl_nossl.o grst_http_nossl.o
+libgridsite_nossl.a: grst_err_nossl.o grst_gacl_nossl.o grst_http_nossl.o grst_htcp_nossl.o
 	ar src libgridsite_nossl.a \
                grst_err_nossl.o grst_gacl_nossl.o grst_http_nossl.o grst_htcp_nossl.o
 
@@ -313,5 +314,3 @@
 	mkdir -p ../doc/doxygen
 	cp -f doxygen/*.html doxygen/*.css doxygen/*.png ../doc/doxygen
 	cd ../doc ; for i in *.1 *.8 ; do ../src/roffit < $$i \
-          > $$i.html ; done
-
