=== debian/changelog ===
gridsite (1.7.16-1) unstable; urgency=low

  * Latest upstream release
  * Use dpkg's build flags
  * Add debug package
  * Add debian/watch file because the default watch rule fails
  * Split the binary rule for arch and indep
  * Drop patch gridsite-make-deps.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 10 Dec 2011 09:00:40 +0100
