=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 6.0.7~), quilt, apache2-threaded-dev, libxml2-dev, libcurl4-openssl-dev, libssl-dev, doxygen, sharutils
+Build-Depends: debhelper (>= 6.0.7~), apache2-threaded-dev, libxml2-dev, libcurl4-openssl-dev, libssl-dev, doxygen, sharutils
 Standards-Version: 3.9.2
 Homepage: http://www.gridsite.org/
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
@@ -89,3 +89,17 @@
  .
  This package, gridsite-doc, contains developer documentation for
  gridsite.
+
+Package: gridsite-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: gridsite (= ${binary:Version}) | libgridsite1.7 (= ${binary:Version}) | gridsite-clients (= ${binary:Version}) | gridsite-gsexec (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for gridsite
+ GridSite was originally a web application developed for managing and
+ formatting the content of the http://www.gridpp.ac.uk/ website. Over
+ the past years it has grown into a set of extensions to the Apache
+ web server and a toolkit for Grid credentials, GACL access control
+ lists and HTTP(S) protocol operations.
+ .
+ This package, gridsite-dbg, contains debugging symbols for gridsite.
