=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O2
-endif
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-MAKEFLAGS += -j$(NUMJOBS)
-endif
+-include /usr/share/dpkg/buildflags.mk
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 
@@ -30,39 +16,28 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-include /usr/share/quilt/quilt.make
+configure: configure-stamp
 
-configure: configure-stamp
-	:
-
-configure-stamp: $(QUILT_STAMPFN)
+configure-stamp:
 	dh_testdir
 
 	touch $@
 
 build: build-indep build-arch
-	:
 
 build-indep: build-stamp
-	:
 
 build-arch: build-stamp
-	:
 
 build-stamp: configure-stamp
 	dh_testdir
 
 	cd src && \
-	MYCFLAGS="$(CFLAGS) -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE -I../interface -I/usr/include/apache2 -I/usr/include/apr-1.0 -fPIC" $(MAKE)
+	MYCFLAGS="$(CFLAGS) -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE -I../interface -I/usr/include/apache2 -I/usr/include/apr-1.0 -fPIC" MYLDFLAGS="$(LDFLAGS) -L." $(MAKE)
 
 	touch $@
 
-unpatch: cleanup
-
-clean: unpatch
-	:
-
-cleanup:
+clean:
 	dh_testdir
 	dh_testroot
 
@@ -90,7 +65,7 @@
 install: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 	cd src && \
 	$(MAKE) install prefix=$(INSTALLDIR)$(_prefix)
@@ -144,31 +119,40 @@
 	chown root.www-data $(INSTALLDIR)$(_sbindir)/gsexec
 	chmod 4754 $(INSTALLDIR)$(_sbindir)/gsexec
 
-binary-indep:
-	:
+binary-indep: install
+	dh_testdir
+	dh_testroot
+	dh_installdocs -i
+	dh_installchangelogs -i
+	dh_install -i --fail-missing
+	dh_link -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
-	dh_installexamples
-	dh_install --fail-missing
-	dh_installman
-	dh_lintian
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms -X sbin/gsexec -X var/lib/gridsite \
-		    -X var/cache/mod_gridsite -X etc/grid-security/dn-lists
-	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps -l debian/libgridsite1.7/usr/lib
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_installdocs -a
+	dh_installchangelogs -a
+	dh_install -a --fail-missing
+	dh_installman -a
+	dh_lintian -a
+	dh_link -a
+	dh_strip -a --dbg-package=gridsite-dbg
+	dh_compress -a
+	dh_fixperms -a -X sbin/gsexec -X var/lib/gridsite \
+		       -X var/cache/mod_gridsite -X etc/grid-security/dn-lists
+	dh_makeshlibs -a
+	dh_installdeb -a
+	dh_shlibdeps -a -l debian/libgridsite1.7/usr/lib
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
-	:
 
 .PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure
