## gridsite 1.7.21

=== src/Makefile ===
--- 
+++ 
@@ -48,6 +48,10 @@
 export libdir=lib
 endif
 
+ifndef httpd_name
+export httpd_name=httpd
+endif
+
 CURL_CFLAGS=`curl-config --cflags`
 CURL_LIBS=`curl-config --libs`
 XML2_CFLAGS=`xml2-config --cflags`
@@ -133,7 +137,7 @@
 	gcc -shared -Wl,-soname,libgridsite_globus.so.$(MINOR_VERSION) \
          -o libgridsite_globus.so.$(PATCH_VERSION) \
          grst_err_globus.o grst_x509_globus.o grst_gacl_globus.o grst_xacml_globus.o \
-         grst_http_globus.o grst_asn1_globus.o $(XML2_LIBS)
+         grst_http_globus.o grst_asn1_globus.o $(XML2_LIBS) $(OPENSSL_GLOBUS_LIBS)
 	ln -sf libgridsite_globus.so.$(VERSION) libgridsite_globus.so
 
 libgridsite_globus.a: grst_err_globus.o grst_x509_globus.o grst_gacl_globus.o grst_http_globus.o grst_asn1_globus.o
@@ -263,9 +267,9 @@
 mod_gridsite.so: mod_gridsite.c mod_ssl-private.h libgridsite.so.$(VERSION)
 	gcc -g $(MYCFLAGS) -shared -Wl,-soname=gridsite_module \
            -I/usr/kerberos/include \
-           $(XML2_CFLAGS) \
+           $(XML2_CFLAGS) -lcrypto -lssl \
            -DVERSION=\"$(VERSION)\" -o mod_gridsite.so \
-           mod_gridsite.c $(MYLDFLAGS) $(XML2_LIBS) -lm -lz -lgridsite
+           mod_gridsite.c $(MYLDFLAGS) -lgridsite
 
 mod_gridsite_example.so: mod_gridsite_example.c 
 	gcc -g -shared -Wl,-soname=gridsite_example_module \
@@ -280,13 +284,12 @@
             grst_admin_gacl.c \
             grst_admin_file.c \
             -I/usr/kerberos/include \
-            -DVERSION=\"$(VERSION)\" -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
+            -DVERSION=\"$(VERSION)\" -lgridsite
 
 findproxyfile: findproxyfile.c libgridsite.so.$(VERSION)
 	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) $(MYLDFLAGS) \
             -o findproxyfile findproxyfile.c -L. \
-            -I/usr/kerberos/include -lgridsite \
-            -lssl -lcrypto $(XML2_LIBS) -lz -lm
+            -I/usr/kerberos/include -lgridsite
 
 showx509exts: showx509exts.c libgridsite.so.$(VERSION)
 	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) $(MYLDFLAGS) \
@@ -314,3 +317,5 @@
 	mkdir -p ../doc/doxygen
 	cp -f doxygen/*.html doxygen/*.css doxygen/*.png ../doc/doxygen
 	cd ../doc ; for i in *.1 *.8 ; do ../src/roffit < $$i \
+          > $$i.html ; done
+
