=== debian/changelog ===
gridsite (1.7.21-3) unstable; urgency=low

  * Fix glitches in module and site activation

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 01 Jun 2013 17:19:56 +0200

gridsite (1.7.21-2) unstable; urgency=low

  * Port to apache 2.4 (Closes: #666832, #669855)
  * Correct package description (Closes: #698519)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 31 May 2013 13:59:38 +0200

gridsite (1.7.21-1) unstable; urgency=low

  * Latest upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 08 May 2012 11:40:19 +0200
