=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: net
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 6.0.7~), apache2-threaded-dev, libxml2-dev, libcurl4-openssl-dev, libssl-dev, doxygen, sharutils
-Standards-Version: 3.9.2
+Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, libssl-dev, doxygen, sharutils, dh-apache2
+Standards-Version: 3.9.4
 Homepage: http://www.gridsite.org/
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gridsite
-DM-Upload-Allowed: yes
 
 Package: gridsite
 Architecture: any
-Depends: libgridsite1.7 (= ${binary:Version}), apache2, ${shlibs:Depends}, ${misc:Depends}
+Depends: libgridsite1.7 (= ${binary:Version}), apache2-bin (>= 2.4), ${shlibs:Depends}, ${misc:Depends}
+Recommends: ${misc:Recommends}
 Description: Grid Security for the Web, Web platforms for Grids
  GridSite was originally a web application developed for managing and
  formatting the content of the http://www.gridpp.ac.uk/ website. Over
@@ -19,7 +19,7 @@
  web server and a toolkit for Grid credentials, GACL access control
  lists and HTTP(S) protocol operations.
  .
- This package, gridsite, contains apache httpd modules for enabling 
+ This package, gridsite, contains apache httpd modules for enabling
  mod_gridsite.
 
 Package: libgridsite1.7
@@ -60,7 +60,7 @@
  web server and a toolkit for Grid credentials, GACL access control
  lists and HTTP(S) protocol operations.
  .
- This package, gridsite-setuid, contains the setuid gsexec program.
+ This package, gridsite-gsexec, contains the setuid gsexec program.
 
 Package: libgridsite-dev
 Architecture: any
