=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	dh_testdir
 
 	cd src && \
-	MYCFLAGS="$(CFLAGS) -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE -I../interface -I/usr/include/apache2 -I/usr/include/apr-1.0 -fPIC" MYLDFLAGS="$(LDFLAGS) -L." $(MAKE)
+	MYCFLAGS="$(CFLAGS) $(CPPFLAGS) -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE -I../interface -I/usr/include/apache2 -I/usr/include/apr-1.0 -fPIC" MYLDFLAGS="$(LDFLAGS) -L." $(MAKE)
 
 	touch $@
 
@@ -70,7 +70,8 @@
 	cd src && \
 	$(MAKE) install prefix=$(INSTALLDIR)$(_prefix)
 
-	mv $(INSTALLDIR)$(_libdir)/httpd $(INSTALLDIR)$(_libdir)/apache2
+	# Let dh_apache2 handle module installation
+	rm -rf mv $(INSTALLDIR)$(_libdir)/httpd
 
 	# Let debhelper do the compression
 	gunzip $(INSTALLDIR)$(_mandir)/man*/*
@@ -93,17 +94,6 @@
 
 	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists
 	mkdir -p $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite
-
-	# Copy in apache configuration, we must name it zgridsite.conf
-	# so it is loaded after mod_ssl in ssl.conf
-	mkdir -p $(INSTALLDIR)$(_sysconfdir)/apache2/mods-available
-	install -m 0644 debian/gridsite.conf \
-	   $(INSTALLDIR)$(_sysconfdir)/apache2/mods-available/zgridsite.conf
-	install -m 0644 debian/gridsite.load \
-	   $(INSTALLDIR)$(_sysconfdir)/apache2/mods-available/zgridsite.load
-	mkdir -p $(INSTALLDIR)$(_sysconfdir)/apache2/sites-available
-	install -m 0644 debian/gridsite.site \
-	   $(INSTALLDIR)$(_sysconfdir)/apache2/sites-available/gridsite
 
 	mkdir -p $(INSTALLDIR)$(_datadir)/apache2/icons
 	uudecode -o $(INSTALLDIR)$(_datadir)/apache2/icons/gridsitelogo.png \
@@ -139,6 +129,7 @@
 	dh_installdocs -a
 	dh_installchangelogs -a
 	dh_install -a --fail-missing
+	dh_apache2 -a
 	dh_installman -a
 	dh_lintian -a
 	dh_link -a
