## gridsite 1.7.22

=== src/Makefile ===
--- 
+++ 
@@ -72,6 +72,12 @@
 
 -include Makefile.inc
 
+ifdef OPENSSL_GLOBUS_LIBS
+PC_FILES=gridsite-openssl.pc gridsite-globus.pc
+else
+PC_FILES=gridsite-openssl.pc
+endif
+
 #
 # Build
 #
@@ -82,7 +88,7 @@
 
 build-lib: libgridsite_globus.so.$(VERSION) libgridsite_globus.a \
            libgridsite.so.$(VERSION) libgridsite.a \
-           libgridsite_nossl.so.$(VERSION) libgridsite_nossl.a
+           libgridsite_nossl.so.$(VERSION) libgridsite_nossl.a $(PC_FILES)
 
 # First, normal versions using system OpenSSL rather than Globus OpenSSL
 
@@ -315,7 +321,3 @@
 	date
 	doxygen Doxyfile
 	mkdir -p ../doc/doxygen
-	cp -f doxygen/*.html doxygen/*.css doxygen/*.png ../doc/doxygen
-	cd ../doc ; for i in *.1 *.8 ; do ../src/roffit < $$i \
-          > $$i.html ; done
-
