=== debian/changelog ===
gridsite (1.7.22-4) unstable; urgency=low

  * Local package
  * Automatically generated package

 -- EMI CESNET security <emi-lb@metacentrum.cz>  Tue, 07 Jul 2012 11:02:31 +0200
